=== debian/changelog ===
linux-grsec (4.9.13-1+grsec201703052141+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 15 Mar 2017 11:15:44 +0100

linux-grsec (4.9.13-1+grsec201703052141+1) unstable; urgency=medium

  * Update grsecurity patch to 3.1-4.9.13-201703052141.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 08 Mar 2017 16:17:40 +0100

linux-grsec (4.9.13-1+grsec201702270729+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 03 Mar 2017 11:28:03 +0100

linux-grsec (4.9.13-1+grsec201702270729+1) unstable; urgency=medium

  * Pull src:linux changes up to 4.9.13-1.
  * Update grsecurity to 3.1-4.9.13-201702270729.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 27 Feb 2017 23:11:57 +0100

linux (4.9.13-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.11
    - can: Fix kernel panic at security_sock_rcv_skb
    - net/mlx5e: Fix update of hash function/key via ethtool
    - net/sched: matchall: Fix configuration race
    - ipv6: fix ip6_tnl_parse_tlv_enc_lim()
    - ipv6: pointer math error in ip6_tnl_parse_tlv_enc_lim()
    - tcp: fix 0 divide in __tcp_select_window()
    - stmmac: Discard masked flags in interrupt status register
    - net: use a work queue to defer net_disable_timestamp() work
    - netlabel: out of bound access in cipso_v4_validate()
    - ip6_gre: fix ip6gre_err() invalid reads (CVE-2017-5897)
    - ipv6: tcp: add a missing tcp_v6_restore_cb()
    - tcp: avoid infinite loop in tcp_splice_read() (CVE-2017-6214)
    - tun: read vnet_hdr_sz once
    - macvtap: read vnet_hdr_size once
    - rtl8150: Use heap buffers for all register access
    - catc: Combine failure cleanup code in catc_probe()
    - catc: Use heap buffer for memory size test
    - mlx4: Invoke softirqs after napi_reschedule
    - lwtunnel: valid encap attr check should return 0 when lwtunnel
      is disabled
    - sit: fix a double free on error path
    - net: introduce device min_header_len
    - packet: round up linear to header len
    - ping: fix a null pointer dereference
    - net: dsa: Do not destroy invalid network devices
    - l2tp: do not use udp_ioctl()
    - mld: do not remove mld souce list info when set link down
    - igmp, mld: Fix memory leak in igmpv3/mld_del_delrec()
    - tcp: fix mark propagation with fwmark_reflect enabled
    - net/mlx5: Don't unlock fte while still using it
    - tcp: don't annotate mark on control socket from
      tcp_v6_send_response()
    - [x86] fpu/xstate: Fix xcomp_bv in XSAVES header
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.12
    - vfs: fix uninitialized flags in splice_to_pipe()
    - siano: make it work again with CONFIG_VMAP_STACK
    - fuse: fix use after free issue in fuse_dev_do_read()
    - fuse: fix uninitialized flags in pipe_buffer
    - mmc: core: fix multi-bit bus width without high-speed mode
    - [powerpc*/*64*] Disable use of radix under a hypervisor
    - scsi: don't BUG_ON() empty DMA transfers
    - Fix missing sanity check in /dev/sg
    - [x86] Input: elan_i2c - add ELAN0605 to the ACPI table
    - drm/radeon: Use mode h/vdisplay fields to hide out of bounds HW cursor
    - drm/dp/mst: fix kernel oops when turning off secondary monitor
    - futex: Move futex_init() to core_initcall
    - [armel,armhf] 8658/1: uaccess: fix zeroing of 64-bit get_user()
    - Revert "i2c: designware: detect when dynamic tar update is possible"
    - PCI/PME: Restore pcie_pme_driver.remove
    - printk: use rcuidle console tracepoint
    - timekeeping: Use deferred printk() in debug code
    - bcache: Make gc wakeup sane, remove set_task_state()
    - videodev2.h: go back to limited range Y'CbCr for SRGB and, ADOBERGB
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.13
    - net/mlx5e: Disable preemption when doing TC statistics upcall
    - net/llc: avoid BUG_ON() in skb_orphan() (CVE-2017-6345)
    - net: ethernet: ti: cpsw: fix cpsw assignment in resume
      (regression in 4.9)
    - packet: fix races in fanout_add() (CVE-2017-6346)
    - packet: Do not call fanout_release from atomic contexts
      (regression in 4.9)
    - net: neigh: Fix netevent NETEVENT_DELAY_PROBE_TIME_UPDATE notification
    - dccp: fix freeing skb too early for IPV6_RECVPKTINFO (CVE-2017-6074)
    - vxlan: fix oops in dev_fill_metadata_dst (regression in 4.6)
    - irda: Fix lockdep annotations in hashbin_delete(). (CVE-2017-6348)
    - ptr_ring: fix race conditions when resizing
    - ip: fix IP_CHECKSUM handling (regression in 4.0) (CVE-2017-6347)
    - net: socket: fix recvmmsg not returning error from sock_error
      (regression in 4.6)
    - USB: serial: mos7840: fix another NULL-deref at open
    - USB: serial: ftdi_sio: fix modem-status error handling
    - USB: serial: ftdi_sio: fix extreme low-latency setting
    - USB: serial: ftdi_sio: fix line-status over-reporting
    - USB: serial: spcp8x5: fix modem-status handling
    - USB: serial: opticon: fix CTS retrieval at open
    - USB: serial: ark3116: fix register-accessor error handling
    - netfilter: nf_ct_helper: warn when not applying default helper assignment
    - block: fix double-free in the failure path of cgwb_bdi_init()
    - rtlwifi: rtl_usb: Fix for URB leaking when doing ifconfig up/down
    - xfs: clear delalloc and cache on buffered write failure

  [ Ben Hutchings ]
  * [armel] dts: kirkwood: Fix SATA pinmux-ing for TS419 (Closes: #855017)
  * [armhf] Enable DRM_OMAP_PANEL_TPO_TD028TTEC1, PWM_OMAP_DMTIMER as modules
    (Closes: #855472)
  * net: Ignore ABI changes to can_rx_register(), ip6_xmit()
  * net: Avoid ABI change for min_header_len
  * udeb: Add more USB host and dual-role drivers to usb-modules
    (Closes: #856111)
  * [x86] kvm: fix page struct leak in handle_vmon (CVE-2017-2596)

