## linux-grsec 4.9.16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 13
+SUBLEVEL = 16
 EXTRAVERSION =
 NAME = Roaring Lionus
