=== debian/changelog ===
linux-grsec (4.9.16-1+grsec201703180820+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Import changes from Héctor Orón Martínez to fix the flex build-deep on
    jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 Mar 2017 21:12:36 +0100

linux-grsec (4.9.16-1+grsec201703180820+1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.9.16-1.
  * Update grsecurity patch to 3.1-4.9.16-201703180820.
  * debian/patches:
    - disable debian/amd64-don-t-warn-about-expected-w+x-pages-on-xen,
    bugfix/all/media-dvb-usb-don-t-use-stack-for-firmware-load and
    bugfix/all/media-dvb-usb-don-t-use-stack-for-reset-either (conflict with
    grsecurity)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 Mar 2017 09:51:40 +0100

linux (4.9.16-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.14
    - [mips*] Fix special case in 64 bit IP checksumming.
    - [mips*/octeon] Fix copy_from_user fault handling for large buffers
    - mmc: sdhci-acpi: support deferred probe
    - uvcvideo: Fix a wrong macro
    - media: fix dm1105.c build error
    - lirc_dev: LIRC_{G,S}ET_REC_MODE do not work
    - media: Properly pass through media entity types in entity enumeration
    - ext4: fix deadlock between inline_data and ext4_expand_extra_isize_ea()
    - [x86] ALSA: hda/realtek - Cannot adjust speaker's volume on a Dell AIO
    - [x86] ALSA: hda - fix Lewisburg audio issue
    - ALSA: timer: Reject user params with too small ticks
    - ALSA: ctxfi: Fallback DMA mask to 32bit
    - ALSA: seq: Fix link corruption by event error handling
    - [x86] ALSA: hda - Add subwoofer support for Dell Inspiron 17 7000 Gaming
    - [x86] ALSA: hda - Fix micmute hotkey problem for a lenovo AIO machine
    - hwmon: (it87) Do not overwrite bit 2..6 of pwm control registers
    - hwmon: (it87) Ensure that pwm control cache is current before updating
      values
    - [x86] staging/lustre/lnet: Fix allocation size for sv_cpt_data
    - staging: rtl: fix possible NULL pointer dereference
    - regulator: Fix regulator_summary for deviceless consumers
    - tpm_tis: fix the error handling of init_tis()
    - [x86] iommu/vt-d: Fix some macros that are incorrectly specified in
      intel-iommu
    - [x86] iommu/vt-d: Tylersburg isoch identity map check is done too late.
    - CIFS: Fix splice read for non-cached files
    - [x86] mm, devm_memremap_pages: hold device_hotplug lock over
      mem_hotplug_{begin, done}
    - mm/page_alloc: fix nodes for reclaim in fast path
    - mm: vmpressure: fix sending wrong events on underflow
    - mm: do not access page->mapping directly on page_endio
    - mm balloon: umount balloon_mnt when removing vb device
    - mm, vmscan: cleanup lru size claculations
    - mm, vmscan: consider eligible zones in get_scan_count
    - sigaltstack: support SS_AUTODISARM for CONFIG_COMPAT
    - PM / devfreq: Fix available_governor sysfs
    - PM / devfreq: Fix wrong trans_stat of passive devfreq device
    - dm cache: fix corruption seen when using cache > 2TB
    - dm stats: fix a leaked s->histogram_boundaries array
    - dm round robin: revert "use percpu 'repeat_count' and 'current_path'"
    - dm raid: fix data corruption on reshape request
    - [x86] scsi: storvsc: use tagged SRB requests if supported by the device
    - [x86] scsi: storvsc: properly handle SRB_ERROR when sense message is
      present
    - [x86] scsi: storvsc: properly set residual data length on errors
    - scsi: aacraid: Reorder Adapter status check
    - scsi: use 'scsi_device_from_queue()' for scsi_dh
    - Fix: Disable sys_membarrier when nohz_full is enabled
    - jbd2: don't leak modified metadata buffers on an aborted journal
    - block/loop: fix race between I/O and set_status
    - loop: fix LO_FLAGS_PARTSCAN hang
    - ext4: Include forgotten start block on fallocate insert range
    - ext4: do not polute the extents cache while shifting extents
    - ext4: trim allocation requests to group size
    - ext4: fix data corruption in data=journal mode
    - ext4: fix use-after-iput when fscrypt contexts are inconsistent
    - ext4: fix inline data error paths
    - ext4: preserve the needs_recovery flag when the journal is aborted
    - ext4: return EROFS if device is r/o and journal replay is needed
    - mei: remove support for broken parallel read
    - ath10k: fix boot failure in UTF mode/testmode
    - ath5k: drop bogus warning on drv_set_key with unsupported cipher
    - ath9k: fix race condition in enabling/disabling IRQs
    - ath9k: use correct OTP register offsets for the AR9340 and AR9550
    - [x86] PCI: hv: Fix wslot_to_devfn() to fix warnings on device removal
    - [x86] Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
    - perf callchain: Reference count maps
    - crypto: testmgr - Pad aes_ccm_enc_tv_template vector
    - fuse: add missing FR_FORCE
    - [x86] pkeys: Check against max pkey to avoid overflows
    - [armhf,arm64] KVM: Enforce unconditional flush to PoC when mapping to
      stage-2
    - [arm64] dma-mapping: Fix dma_mapping_error() when bypassing SWIOTLB
    - [arm64] fix erroneous __raw_read_system_reg() cases
    - [armhf,arm64] KVM: vgic: Stop injecting the MSI occurrence twice
    - can: gs_usb: Don't use stack memory for USB transfers
    - can: usb_8dev: Fix memory leak of priv->cmd_msg_buffer
    - w1: don't leak refcount on slave attach failure in
      w1_attach_slave_device()
    - w1: ds2490: USB transfer buffers need to be DMAable
    - usb: dwc3: gadget: skip Set/Clear Halt when invalid
    - usb: host: xhci: plat: check hcc_params after add hcd
    - usb: gadget: udc-core: Rescan pending list on driver unbind
    - usb: gadget: f_hid: fix: Free out requests
    - usb: gadget: f_hid: fix: Prevent accessing released memory
    - usb: gadget: f_hid: Use spinlock instead of mutex

