## linux-grsec 4.9.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 16
+SUBLEVEL = 18
 EXTRAVERSION =
 NAME = Roaring Lionus
