=== debian/changelog ===
linux-grsec (4.9.51-1+grsecunoff2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/lib/python/debian_linux/debian.py: handle stretch-backport
    numbering scheme.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 11 Oct 2017 10:49:04 +0200

linux-grsec (4.9.51-1+grsecunoff2) unstable; urgency=medium

  [ Ben Hutchings ]
  * debian/source/lintian-overrides: Override license-problem-gfdl-invariants
    error triggered by a ReSTified copy of the GFDL

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 03 Oct 2017 13:13:01 +0200

linux-grsec (4.9.51-1+grsecunoff1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.9.51-1.
  * grsec/gen-patch:
    - update to generate patch from a local git repository with Mathias Krause
    grsec-unofficial tree (https://github.com/minipli/linux-unofficial_grsec)
  * Update grsecurity patch to the unofficial version maintained by Mathias
    Krause.
  * featureset-grsec/config: update long description to make it clear we are
    using the unofficial patch, unrelated to the private patch.
  * debian/lib/python/debian_linux/debian.py: handle new versioning scheme.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 03 Oct 2017 10:59:32 +0200

linux (4.9.51-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.48
    - [x86] i2c: ismt: Don't duplicate the receive length for block reads
    - [x86] i2c: ismt: Return EMSGSIZE for block reads with bogus length
    - crypto: algif_skcipher - only call put_page on referenced and used pages
    - mm, uprobes: fix multiple free of ->uprobes_state.xol_area
    - mm, madvise: ensure poisoned pages are removed from per-cpu lists
    - ceph: fix readpage from fscache
    - cpumask: fix spurious cpumask_of_node() on non-NUMA multi-node configs
    - cpuset: Fix incorrect memory_pressure control file mapping
    - CIFS: Fix maximum SMB2 header size
    - lib/mpi: kunmap after finishing accessing buffer
    - drm/ttm: Fix accounting error when fail to get pages for pool
    - [armhf,arm64] kvm: Force reading uncached stage2 PGD
    - epoll: fix race between ep_poll_callback(POLLFREE) and
      ep_free()/ep_remove()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.49
    - usb:xhci:Fix regression when ATI chipsets detected
    - [armhf] USB: musb: fix external abort on suspend
    - USB: core: Avoid race of async_completed() w/ usbdev_release()
    - [x86] staging/rts5208: fix incorrect shift to extract upper nybble
    - driver core: bus: Fix a potential double free
    - ath10k: fix memory leak in rx ring buffer allocation
    - Input: trackpoint - assume 3 buttons when buttons detection fails
    - rtlwifi: rtl_pci_probe: Fix fail path of _rtl_pci_find_adapter
    - dlm: avoid double-free on error path in dlm_device_{register,unregister}
    - mwifiex: correct channel stat buffer overflows
    - [s390x] mm: avoid empty zero pages for KVM guests to avoid postcopy hangs
    - drm/nouveau/pci/msi: disable MSI on big-endian platforms by default
    - scsi: sg: protect against races between mmap() and SG_SET_RESERVED_SIZE
    - scsi: sg: recheck MMAP_IO request length with lock held
    - [arm64] drm/bridge: adv7511: Use work_struct to defer hotplug handing to
      out of irq context
    - [arm64] drm/bridge: adv7511: Switch to using
      drm_kms_helper_hotplug_event()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.50
    - [armhf] mtd: nand: mxc: Fix mxc_v1 ooblayout
    - nvme-fabrics: generate spec-compliant UUID NQNs
    - btrfs: resume qgroup rescan on rw remount
    - mm/memory.c: fix mem_cgroup_oom_disable() call missing
    - ALSA: msnd: Optimize / harden DSP and MIDI loops
    - [arm64] dts: marvell: armada-37xx: Fix GIC maintenance interrupt
    - [armhf] 8692/1: mm: abort uaccess retries upon fatal signal
    - NFS: Fix 2 use after free issues in the I/O code
    - NFS: Sync the correct byte range during synchronous writes
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.51
    - ipv6: accept 64k - 1 packet length in ip6_find_1stfragopt()
    - ipv6: add rcu grace period before freeing fib6_node
    - macsec: add genl family module alias
    - udp: on peeking bad csum, drop packets even if not at head
    - qlge: avoid memcpy buffer overflow
    - [x86] netvsc: fix deadlock betwen link status and removal
    - cxgb4: Fix stack out-of-bounds read due to wrong size to t4_record_mbox()
    - kcm: do not attach PF_KCM sockets to avoid deadlock
    - Revert "net: phy: Correctly process PHY_HALTED in phy_stop_machine()"
    - bridge: switchdev: Clear forward mark when transmitting packet
    - Revert "net: use lib/percpu_counter API for fragmentation mem accounting"
    - Revert "net: fix percpu memory leaks"
    - gianfar: Fix Tx flow control deactivation
    - vhost_net: correctly check tx avail during rx busy polling
    - ip6_gre: update mtu properly in ip6gre_err
    - ipv6: fix memory leak with multiple tables during netns destruction
    - ipv6: fix typo in fib6_net_exit()
    - sctp: fix missing wake ups in some situations
    - ip_tunnel: fix setting ttl and tos value in collect_md mode
    - f2fs: let fill_super handle roll-forward errors
    - f2fs: check hot_data for roll-forward recovery
    - [amd64] fsgsbase: Fully initialize FS and GS state in start_thread_common
    - [amd64] fsgsbase: Report FSBASE and GSBASE correctly in core dumps
    - [amd64] switch_to: Rewrite FS/GS switching yet again to fix AMD CPUs
    - xfs: fix spurious spin_is_locked() assert failures on non-smp kernels
    - xfs: push buffer of flush locked dquot to avoid quotacheck deadlock
    - xfs: try to avoid blowing out the transaction reservation when bunmaping
      a shared extent
    - xfs: release bli from transaction properly on fs shutdown
    - xfs: remove bli from AIL before release on transaction abort
    - xfs: don't allow bmap on rt files
